Bug 312211 - Printing does not work with libcups 1.2
Printing does not work with libcups 1.2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-29 04:57 EDT by Anders Mikkelsen
Modified: 2008-06-16 22:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:31:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders Mikkelsen 2007-09-29 04:57:28 EDT
mono 1.2.3-3
cups 1.2.12-4

When trying to print from Mono using System.Drawing.Printing
classes, some like:

 PrintDocument doc = new PrintDocument();
 doc.Print();

I get:

libcups not found. To have printing support, you need cups installed

Unhandled Exception: System.Drawing.Printing.InvalidPrinterException: No
Printers Installed
  at System.Drawing.Printing.PreviewPrintController.OnStartPrint
(System.Drawing.Printing.PrintDocument document,
System.Drawing.Printing.PrintEventArgs e) [0x00074] in
/builddir/build/BUILD/mono-1.2.3/mcs/class/System.Drawing/System.Drawing.Printing/PreviewPrintController.cs:71

  at System.Drawing.Printing.PrintDocument.Print () [0x00019] in
/builddir/build/BUILD/mono-1.2.3/mcs/class/System.Drawing/System.Drawing.Printing/PrintDocument.cs:127

  at (wrapper remoting-invoke-with-check)
System.Drawing.Printing.PrintDocument:Print ()
  at PrintTest.MainClass.Main (System.String[] args) [0x00000] 

In my /usr/local/lib I have only libcups.so.2. Creating a symlink
from libcups.so -> libcups.so.2 removes the above error - then I
get a segfault instead.
Comment 1 Bug Zapper 2008-05-14 10:33:36 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:31:48 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.